import { analyzeMetafileSync, buildSync, transformSync, version } from './esbuild-types';
export declare function esbuild(modulePath?: string): {
    buildSync: typeof buildSync;
    transformSync: typeof transformSync;
    analyzeMetafileSync: typeof analyzeMetafileSync;
    version: typeof version;
};
export declare function wrapWithEsbuildBinaryPath<T extends CallableFunction>(fn: T, esbuildBinaryPath?: string): T | ((...args: unknown[]) => any);
export declare function detectEsbuildModulePath(esbuildBinaryPath?: string): string;
